Name:           openssh-askpass
Version:        2.1.0
Release:        %mkrel 9
Summary:        Qt5 passphrase dialog for OpenSSH
Group:          Graphical desktop/KDE
License:        GPLv2+
URL:            http://hugo.pereira.free.fr/software/index.php?page=package&package_list=software_list_qt4&package=openssh-askpass&full=0
Source:         http://hugo.pereira.free.fr/software/tgz/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcb-keysyms)

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5X11Extras)

%description
Qt5 version of ssh passphrase dialog.

#-----------------------------------------------------------------------------

%package -n     %{name}-qt5
Summary:        Qt5 passphrase dialog for OpenSSH
Group:          Graphical desktop/KDE
Requires:       openssh-askpass-common
Provides:       openssh-askpass
Provides:       ssh-askpass
Provides:       ssh-extras

# remove old qt4 package
Provides:       openssh-askpass-qt4 = %{version}-%{release}
Obsoletes:      openssh-askpass-qt4 < 1.0.2

%description -n %{name}-qt5
Qt5 version of ssh passphrase dialog.

%files -n %{name}-qt5
%{_libexecdir}/openssh/qt5-ssh-askpass

#-----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_qt5 -DUSE_QT5=ON

%cmake_build

%install
%cmake_install

mkdir -p %{buildroot}%{_sysconfdir}/profile.d/
mkdir -p %{buildroot}%{_libexecdir}/openssh/
mv %{buildroot}%{_bindir}/qt4-ssh-askpass %{buildroot}%{_libexecdir}/openssh/qt5-ssh-askpass

%post -n %{name}-qt5
update-alternatives --install %{_libexecdir}/openssh/ssh-askpass ssh-askpass %{_libexecdir}/openssh/qt5-ssh-askpass 60
update-alternatives --install %{_bindir}/ssh-askpass bssh-askpass %{_libexecdir}/openssh/qt5-ssh-askpass 60

%postun -n %{name}-qt5
[ $1 = 0 ] || exit 0
update-alternatives --remove ssh-askpass %{_libexecdir}/openssh/qt5-ssh-askpass
update-alternatives --remove bssh-askpass %{_libexecdir}/openssh/qt5-ssh-askpass


%changelog
* Thu Dec 17 2020 luigiwalser <luigiwalser> 2.1.0-9.mga8
+ Revision: 1660529
- rebuild for missing signature

* Thu Dec 17 2020 umeabot <umeabot> 2.1.0-8.mga8
+ Revision: 1659221
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 2.1.0-7.mga8
+ Revision: 1527227
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Fri Jul 12 2019 daviddavid <daviddavid> 2.1.0-6.mga8
+ Revision: 1420767
- command update-alternatives (post, postun) should be set on the sub-pkg

* Fri Jul 12 2019 daviddavid <daviddavid> 2.1.0-5.mga8
+ Revision: 1420758
- really obsoletes old qt4 package

* Fri Jul 12 2019 neoclust <neoclust> 2.1.0-4.mga8
+ Revision: 1420757
- Add support of updates alternative

* Sun Mar 31 2019 umeabot <umeabot> 2.1.0-3.mga7
+ Revision: 1383653
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.1.0-2.mga7
+ Revision: 1300038
- Mageia 7 Mass Rebuild

* Sat Jun 02 2018 daviddavid <daviddavid> 2.1.0-1.mga7
+ Revision: 1233591
- new version: 2.1.0

* Sun Dec 18 2016 neoclust <neoclust> 2.0.3-1.mga6
+ Revision: 1075937
- imported package openssh-askpass

